package cz.jzitnik.game.entities.items.registry.blocks.work;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.*;
import cz.jzitnik.game.blocks.Furnace;
import cz.jzitnik.game.core.sound.SoundKey;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.entities.items.ItemType;
import cz.jzitnik.game.entities.items.ToolVariant;

import java.util.Arrays;

@PlaceSound(SoundKey.STONE_DIG)
@MineSound(SoundKey.STONE_DIG)
@WalkSound(SoundKey.STONE_WALKING)
@MiningSound(SoundKey.STONE_MINING)
@BlockRegistry("furnace")
public class FurnaceBlock extends Block {
    public FurnaceBlock() {
        super("furnace", SpriteLoader.SPRITES.FURNACE, 15, ItemType.PICKAXE,
                Arrays.stream(ToolVariant.values()).toList());
        setData(new Furnace(this));
    }
}
